/*                                                                                           
*  Touch Sensing Library System Setup File                                                   
*                                                                                            
*  Auto-generated by System Setup Creator Tool                                               
*                                                                                            
*  This file contains electrode and other Touch Sensing System setup parameters              
*/                                                                                           

#ifndef __TSS_SYSTEM_SETUP_H__
#define __TSS_SYSTEM_SETUP_H__


/* Define CTS/ATL low layer sensing algorithm to be used */

#undef TSS_USE_CTS_LOW_LEVEL
#define TSS_USE_ATL_LOW_LEVEL       1

#define TSS_USE_DELTA_LOG           1

#define TSS_USE_GPIO_STRENGTH       1

#define TSS_USE_GPIO_SLEW_RATE      1

#define TSS_N_ELECTRODES            2               /* Number of electrodes present in the system */

/* Electrode's GPIOs configuration */

#define TSS_E0_P                    A               /* Electrode port */
#define TSS_E0_B                    2               /* Electrode bit  */

#define TSS_E1_P                    H               /* Electrode port */
#define TSS_E1_B                    6               /* Electrode bit  */

/* Controls configuration */

#define TSS_N_CONTROLS              1

#define TSS_C0_TYPE                 TSS_CT_KEYPAD   /* Control type */
#define TSS_C0_ELECTRODES           2               /* Number of electrodes in the control */
#define TSS_C0_STRUCTURE            cKey0           /* Name of the C&S struct to create */
#define TSS_C0_CALLBACK             fCallBack0      /* Identifier of the user's callback */


/* ATL Specific parameter */

#define ATL_HW_TIMER                TPM1             /* Defines the ATL Timer */

#endif /*__TSS_SYSTEM_SETUP_H__*/
